Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000440KdenliveTransitionspublic2008-12-07 16:032010-02-20 08:17
ReporterLeHomard 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0000440: Compositing should not be a transition
DescriptionI am currently editing the film of a theatre play. It was filmed by a fixed camera, and therefore and wanted to zoom in/out and pan around in the picture to follow the action and make the film a bit more dynamic. In order to to that Kdenlive has a very powerful compositing feature, but it is only available as a transition.

This meant that I actually had to add a black color clip in a separate timeline in order to be able to zoom and pan on the video. This was very unintuitive, and unless I'm mistaken it isn't possible to add multiple transitions to a clip, so once the compositing is done there is no way to add a transition with another clip.

Of course compositing can be used as a transition, but it shouldn't be limited to that.

Making compositing an effect instead of a transition would be a solution, but I think it would be even better to actually do the compositing directly in the preview window by simply activating a "compositing" option (I think Premiere works that way and it works really well).

One problem that I think would have to be solved in order to do this is the way kdenlive treats empty tracks. In other editing software I have tried the empty tracks (or the absence of any other track under the current) is treated like a black color clip. This means that you can easily add fade-in, fade-out and do compositing without adding a color clip. From what I have seen I don't think that is possible at the moment with Kdenlive (My actual computer is down at the moment so I can't check right now that it's true).
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0001598)
cinephiliac (updater)
2008-12-10 21:31

Acknowledged as a wishlist item.
(0004357)
xzhayon (developer)
2009-11-26 14:22

this was fixed months ago: compositing is still a transition, but "black track" can be selected as the target track for a transition, so you don't need to add a color clip to make it work as an effect

about a different interface: i'm quite sure there are other issues on that, so let's mark this one as closed

- Issue History
Date Modified Username Field Change
2008-12-07 16:03 LeHomard New Issue
2008-12-07 16:03 LeHomard Build/Install Method => Build Wizard
2008-12-10 21:31 cinephiliac Note Added: 0001598
2008-12-10 21:31 cinephiliac Status new => acknowledged
2009-11-26 14:22 xzhayon Note Added: 0004357
2009-11-26 14:22 xzhayon Status acknowledged => resolved
2009-11-26 14:22 xzhayon Fixed in Version => 0.7.3
2009-11-26 14:22 xzhayon Resolution open => fixed
2009-11-26 14:22 xzhayon Assigned To => xzhayon
2009-11-26 14:22 xzhayon Assigned To xzhayon =>
2010-02-02 10:34 j-b-m Fixed in Version 0.7.3 => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker